require "net/http"
require "rexml/document"
require "parser.rb"

class Feed
   attr_accessor :url, :images, :parser

  def initialize ( url, parser )
    @url = URI.parse( url )
    @parser = parser
  end
  
  def update
    @images = Array.new
    puts "Pulling image feed from #{url.to_s}"
    Net::HTTP.start( @url.host, @url.port ) do |http|
      @images = @parser.parse( REXML::Document.new( (http.get( @url.path )).body ) )
    end    
  end
  
  def search
  end
end
