require 'socket'

class Image
  attr_accessor :title, :link, :description, :date, :size, :distro, :md5sum

  def to_s
    string = "title: #{@title}\ndistro: #{@distro}\ndate: #{@date}\nlink: #{@link}\nsize: #{@size}\nmd5sum: #{@md5sum}\ndescription: #{@description}\n"
  end
  
  def download
    puts "Pulling image from #{@link}"
    url = URI.parse(@link)
    
    Net::HTTP.start(url.host, url.port) do |http|
      file = File.new("./image_cache/#{@title}.tgz", "w")

      http.request_get(url.path) do |response|
        response.read_body do |bytes|
          file.write bytes
        end
      end
      
      file.close
    end
            
    puts "Got #{@link}"    
  end
  
end